#!/bin/csh -f
# Progress meter updater for exiftool run with cocoadialog. MRH Nov 06
# Param 1 = Total number of files expected

if ($#argv < 1) then
  echo "exif_progres_filter.csh - too few parameters";
  exit
endif

set nonomatch

set ntot = $argv[1]

set nfiles = 1;
set percent = 1;

loop:
set line = "$<"
if ("$line" == "") exit;

if (`echo $line | grep "Error:" | wc -l`) echo "$percent $line";

if (! `echo $line | grep ==== | wc -l`) goto loop
    set percent = `echo "($nfiles*100/$ntot)" | bc`
    set file = `echo "$line" | sed -e s/"="//g`
    #set file = `echo "$file" | sed -e s/"^.*\/"/-\\//`
    set file = `echo "$file" | sed -e s/"^.*\/"//`
    echo "$percent Processed : $file";
@ nfiles ++
goto loop
